/*
 * The Script for "Scene description language by XML" 1.0
 * (SLAX-Script 1.0)
 * The module for Cross-platform functions
 * (for MSIE 5.5/6.0 , Firefox 1.x, Netscape 7(or later))
 * Copyright (C)2003-2005 Yutaka Furubayashi <info@yupotan.sppd.ne.jp>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

var UA,prf;

if (navigator.userAgent.match(/MSIE (5\.5|6\.0)/) || navigator.userAgent.match(/Sleipnir/)) {UA="IE"; prf="sys/";}
else if (navigator.userAgent.match(/Gecko/)) {UA="Moz";}

// 1. Methods for MSIE

if (UA == "IE") {

// 1.1 Events


 function document_addEventListener(ev,func,bl) {

  this.attachEvent("on"+ev, func);
  
 }

 function document_removeEventListener(ev,func,bl) {
  this.detachEvent("on"+ev, func);
 }

 document.addEventListener=document_addEventListener;
 window.addEventListener=document_addEventListener;
 document.removeEventListener=document_removeEventListener;
 window.removeEventListener=document_removeEventListener;

 window.getComputedStyle=function(elm,_tmp) {
  var _p=elm.currentStyle;
  return _p;
 };

// 1.2 Create elements

 function document_createElementNS(ns,elm) {
  return document.createElement(elm);
 }
 document.createElementNS=document_createElementNS;

}

// 1.3 Attaching event listeners

function setIE(){
 if (UA=="IE") {
  var ia=new Array(5);
  ia[0]=document.getElementsByTagName("li");
  ia[1]=document.getElementsByTagName("div");
  ia[2]=document.getElementsByTagName("input");
  ia[3]=document.getElementsByTagName("dd");
  ia[4]=document.getElementsByTagName("span");
  for (var i=0;i<ia.length;i++){
   for (var j=0;j<ia[i].length;j++){
    ia[i][j].addEventListener=document_addEventListener;
    ia[i][j].removeEventListener=document_removeEventListener;
   }
  }
 }
}

// 2. Reading XML documents

function _create(){
 this.createDocument=function(a,b,c){return _createDoc(a,b,c);};
}

var _I=new _create;
document.Implementation=_I;

function _createDoc(a,b,c) {
 var s=new _xmlDoc(a,b,c);
 return s;
}

function _getA(s){
     var p=s.selectNodes("//*[local-name()='j']");
}

function xmlD_IE(){
 var s=new ActiveXObject("MSXML2.DOMDocument");
 s.setProperty("SelectionLanguage", "XPath");
 s.async=false;
 this.addEventListener=function(ev,func,bl) {
  if (ev=="load") {
   s.onreadystatechange = function(){
    if (s.readyState == 4){
     _getA(s);
     func()
    };
   };
  }
 };

 this.load=function(fl) {
  return s.load(fl);
 };

 this.getElementsByTagName=function(elm) {
  return s.getElementsByTagName(elm);
 };

 this.createElementNS=function(ns,elm) {
  return s.createNode("1",elm,ns);
 };

 this.createElement=function(elm) {
  return s.createElement(elm);
 };

 this.createTextNode=function(tex) {
  return s.createTextNode(tex);
 };

 this.appendChild=function(elm) {
  return s.appendChild(elm);
 };

 this.save=function(fl) {
  return s.save(fl);
 }

 this.evaluate=function(reg,ob,n1,n2,n3) {
  var t=new xpathObj(s,reg);
  return t;
 };

}

function _xmlDoc(p,q,r){
 if (document.all && document.attachEvent) {
  var s=new xmlD_IE();
  return s;
 }
 else if (document.implementation.createDocument) {
  return document.implementation.createDocument(p,q,r);
 }
}

function xpathObj(s,reg) {
 var p=s.selectNodes(reg);
 this.snapshotItem=function(n) {
  return p[n];
 };

 this.snapshotLength=p.length;
}


// 3. Events

function setEvent(ev) {
 if (UA=="IE") {
  this.keyVal=event.keyCode;
  this.target=event.srcElement;
  this.clientX=event.clientX;
  this.clientY=event.clientY;
  this.cancelBubble=event.cancelBubble;
 }
 else {
  this.keyVal=ev.which;
  this.target=ev.target;
  this.clientX=ev.clientX;
  this.clientY=ev.clientY;
  this.cancelBubble=ev.cancelBubble;
  this.button=ev.button;
 }

}

function keyE(ev){
 if (UA=="IE") {this.keyVal=event.keyCode;}
  else {this.keyVal=ev.which;}
}

// 4. Opacity

function opac(el,n) {

 if (UA=="Moz") {el.style.MozOpacity=n}
 else {
  var oIE=n*100;
  el.style.filter="alpha(opacity="+oIE+",finishOpacity="+oIE+",style=0)";
 }
}

// End of file

